# module YAML::Schema::FailSafe

##
Overview

Provides a way to parse a YAML document according to the fail-safe schema, as specified in http://www.yaml.org/spec/1.2/spec.html#id2802346, where all scalar values are considered strings.

##
Defined in:

yaml/schema/fail_safe.cr

##
Class Method Summary

- .parse(data : String | IO) : Any

  Deserializes a YAML document.

- .parse_all(data : String | IO) : Array(Any)

  Deserializes multiple YAML documents.

##
Class Method Detail

def self.parse(data : String | IO) : Any #

Deserializes a YAML document.

def self.parse_all(data : String | IO) : Array(Any) #

Deserializes multiple YAML documents.